Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: BT4 Nessus 4.0.0 How to

  1. #1
    Member
    Join Date
    Jan 2010
    Posts
    332

    Default BT4 Nessus 4.0.0 How to

    Basically it's the same procedure as in secure_it's tutorial for Nessus 3.2.1

    http://forums.remote-exploit.org/showthread.php?t=20221

    Download packages
    Nessus-4.0.0-ubuntu804_i386.deb
    NessusClient-4.0.0-ubuntu804_i386.deb

    As you can see I've installed the Ubuntu NessusClient package and you'll get some dependency problems with a solution further down in thread. (Don't bother with the debian package. You'll get the same result - missing dependencies)

    dpkg -i Nessus-4.0.0-ubuntu804_i386.deb

    Configure the certificate

    # /opt/nessus/sbin/nessus-mkcert

    Add admin user

    # /opt/nessus/sbin/nessus-adduser

    register here to get the activation key

    # /opt/nessus/bin/nessus-fetch --register 'here goes your key'

    Now before installing the client you need to install some missing dependencies

    apt-get install libqt4-core libqt4-gui libqtcore4 libqt4-network libqt4-script libqt4-xml libqt4-dbus libqt4-test libqtgui4 libqt4-svg libqt4-opengl libqt4-designer libqt4-assistant

    (all in one line)

    dpkg -i NessusClient-4.0.0-ubuntu804_i386.deb

    # /etc/init.d/nessusd start

    And start the client from the Menu>Intenet>NessusClient or use the CLI

    Enjoy!
    SecurityTube has two new sections. Questions & News

  2. #2
    Just burned his ISO
    Join Date
    Jun 2006
    Posts
    12

    Default

    Work Flawless!!! Thanks men!!!

  3. #3
    Super Moderator lupin's Avatar
    Join Date
    Jan 2010
    Posts
    2,943

    Default

    Thanks muchly. Was getting a "Segmentation Fault" with the Nessus Client when trying to authenticate until I installed those dependancy packages you mentioned. Now its working nicely!
    Capitalisation is important. It's the difference between "Helping your brother Jack off a horse" and "Helping your brother jack off a horse".

    The Forum Rules, Forum FAQ and the BackTrack Wiki... learn them, love them, live them.

  4. #4
    Senior Member
    Join Date
    Jan 2010
    Posts
    140

    Default

    If anyone gets an error when they try to install the dependencies try running
    apt-get update
    After that it was smooth sailing. Thanks!

  5. #5
    Just burned his ISO
    Join Date
    Apr 2009
    Posts
    3

    Question is nessus4 working with metaspoilt framework3,3?

    Hi

    when I export an nessus4.nbe is it working with metasoilt framework3.3?

    thanks

  6. #6
    Member
    Join Date
    Jan 2010
    Posts
    332

    Default

    Yes it does.
    SecurityTube has two new sections. Questions & News

  7. #7
    Senior Member
    Join Date
    Feb 2009
    Posts
    153

    Default

    Awesome Tut!!

    Thank You

  8. #8
    Just burned his ISO
    Join Date
    Jul 2006
    Posts
    18

    Default

    Thanks awesome tutorial I was looking for this. keep up the good work

  9. #9
    Just burned his ISO
    Join Date
    May 2009
    Posts
    6

    Default

    Yet another great tutorial!
    A plugin that I use for Nessus 4 is called nessconnect . It show graphs and charts similar to but not as elegant as Saint for creating reports.

    Description:
    Nessconnect is a GUI, CLI and API client for Nessus and Nessus compatible servers. With an improved user interface, it provides local session management, scan templates, report generation through XSLT, charts and graphs, and vulnerability trending.

    h**p://sourceforge.net/projects/nessconnect/

  10. #10
    Just burned his ISO
    Join Date
    Feb 2010
    Posts
    11

    Default

    Hi, i have a Problem with a connection to the nessus Server in the GTK mode.
    I make a new Connection
    name: [xxxxxx]
    Server: localhost
    Port : 1496

    --> is that ok??

    thx

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •